Bug 175342 - system logviewer crashes when trying to open other logs
system logviewer crashes when trying to open other logs
Product: Fedora
Classification: Fedora
Component: gnome-utils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-12-08 22:02 EST by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-07 08:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mail sent to gnome bugs (10.69 KB, text/plain)
2005-12-08 22:05 EST, Jim Cornette
no flags Details
with debug packages installed (6.16 KB, text/plain)
2005-12-08 22:34 EST, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2005-12-08 22:02:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051018 Fedora/1.7.12-2

Description of problem:
When trying to open another log that is not a default log for system log viewer when it is launched, an inform developers dialog box opened and only the file choser and system log viewer progaram were visible. I was not able to either choose a file or get system log viewer to do anything when mouse clocked over menus.

Version-Release number of selected component (if applicable):
gtk2-2.8.8-1 gnome-utils-2.13.2-4

How reproducible:

Steps to Reproduce:
1. open system logviewer, give root password
2.notice log which is of interest is not listed
3. go to log on menus on top of program, choose open

Actual Results:  A dialog box popped up to either restat application (no aplication restarted when chosen.)
When chosing inform developers, email generated via sendmail, not sure if message made it to upstream or not.

Expected Results:  I should be able to choose a log from /var/log or wherever the log resides with the file chooser.

Additional info:

attached wil be the outgoing email which did not send from localhost to my ISP account. Failure results for gnome bugs was unclear to me rearding the failure.
Comment 1 Jim Cornette 2005-12-08 22:05:22 EST
Created attachment 122056 [details]
mail sent to gnome bugs

this file has entries regarding libraries. Some errors not listed to not having
debug installed
Comment 2 Jim Cornette 2005-12-08 22:34:31 EST
Created attachment 122059 [details]
with debug packages installed

I installed debug packages, updated via yum to latest to match, then launched
system logviewer again. I ended up with these results in the file
Comment 3 Jim Cornette 2005-12-08 22:47:46 EST
This problem seems to be only when launching the gnome-system-log via the
launcher and authentication prompt.
The program ran normally in a root terminal.
Comment 4 Jim Cornette 2006-01-07 08:09:10 EST
This problem seemed to be related to authentication and seems to not be present
any longer. Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.